aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-sphinxcontrib-manpage/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2014-01-23 15:49:02 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-03-03 13:03:42 +0000
commitebeabc892eb0358f69cca54b51775fe091246d3c (patch)
treedb10a9eaa2547f7c3545ca4f38aeed23cf31d3ea /testing/py-sphinxcontrib-manpage/APKBUILD
parentd4f1afe813acb4313df8ff5ebc43770fef852f85 (diff)
downloadaports-ebeabc892eb0358f69cca54b51775fe091246d3c.tar.gz
aports-ebeabc892eb0358f69cca54b51775fe091246d3c.tar.bz2
aports-ebeabc892eb0358f69cca54b51775fe091246d3c.tar.xz
testing/py-sphinxcontrib-manpage: new aport
Sphinx linux manpage extension https://pypi.python.org/pypi/sphinxcontrib-manpage
Diffstat (limited to 'testing/py-sphinxcontrib-manpage/APKBUILD')
-rw-r--r--testing/py-sphinxcontrib-manpage/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-sphinxcontrib-manpage/APKBUILD b/testing/py-sphinxcontrib-manpage/APKBUILD
new file mode 100644
index 0000000000..06346f3bd3
--- /dev/null
+++ b/testing/py-sphinxcontrib-manpage/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-sphinxcontrib-manpage
+_pkgname=sphinxcontrib-manpage
+pkgver=0.4
+pkgrel=0
+pkgdesc="Sphinx manpage extension"
+url="https://pypi.python.org/pypi/sphinxcontrib-manpage"
+arch="noarch"
+license="ASL 2.0"
+depends="python py-sphinx py-nwdiag"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="54d16e1a2c3d6c6541b68f641df7ffb6 sphinxcontrib-manpage-0.4.tar.gz"
+sha256sums="3bb6d050111b40585af13fec14386ced20b7524c3fc07d9f7394b42f090d3e6f sphinxcontrib-manpage-0.4.tar.gz"
+sha512sums="471ab6045f0bf1178f0bb5a1b27497af030cd6d3bd140bc3505d1bd31263d48a55314cb238ff6b06ca9a1a322374c0db414ed666dd843e6e2b7ca89191b71747 sphinxcontrib-manpage-0.4.tar.gz"